base_field: search_api_id
base_table: search_api_index_database_search_index
core: 8.x
description: ''
status: true
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: none
        options: {  }
      cache:
        type: none
        options: {  }
      query:
        type: search_api_query
        options:
          skip_access: true
      exposed_form:
        type: basic
        options:
          submit_button: Search
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: full
        options:
          items_per_page: 10
          offset: 0
          id: 0
          total_pages: null
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 20, 40, 60'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          tags:
            previous: '‹ previous'
            next: 'next ›'
            first: '« first'
            last: 'last »'
          quantity: 9
      style:
        type: default
      row:
        type: search_api
        options:
          view_modes:
            'entity:entity_test_mulrev_changed':
              article: default
              page: default
      filters:
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_database_search_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_op
            label: 'Fulltext search'
            description: ''
            use_operator: true
            operator: search_api_fulltext_op
            identifier: search_api_fulltext
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          min_length: 3
          fields: {  }
          plugin_id: search_api_fulltext
        search_api_fulltext_2:
          id: search_api_fulltext_2
          table: search_api_index_database_search_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_2_op
            label: 'Fulltext search 2'
            description: ''
            use_operator: true
            operator: search_api_fulltext_2_op
            identifier: search_api_fulltext_2
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          min_length: 3
          fields: {  }
          plugin_id: search_api_fulltext
        id:
          plugin_id: search_api_numeric
          id: id
          table: search_api_index_database_search_index
          field: id
          relationship: none
          admin_label: ''
          operator: '='
          group: 1
          exposed: true
          expose:
            operator_id: id_op
            label: ''
            description: ''
            use_operator: true
            operator: id_op
            identifier: id
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
        created:
          plugin_id: search_api_date
          id: created
          table: search_api_index_database_search_index
          field: created
          relationship: none
          admin_label: ''
          operator: '='
          group: 1
          exposed: true
          expose:
            operator_id: created_op
            label: ''
            description: ''
            use_operator: true
            operator: created_op
            identifier: created
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
        keywords:
          plugin_id: search_api_string
          id: keywords
          table: search_api_index_database_search_index
          field: keywords
          relationship: none
          admin_label: ''
          operator: '='
          group: 1
          exposed: true
          expose:
            operator_id: keywords_op
            label: ''
            description: ''
            use_operator: true
            operator: keywords_op
            identifier: keywords
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
        name:
          plugin_id: search_api_text
          id: name
          table: search_api_index_database_search_index
          field: name
          relationship: none
          admin_label: ''
          operator: '='
          group: 1
          exposed: true
          expose:
            operator_id: name_op
            label: ''
            description: ''
            use_operator: true
            operator: name_op
            identifier: name
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
        search_api_language:
          plugin_id: search_api_language
          id: search_api_language
          table: search_api_index_database_search_index
          field: search_api_language
          relationship: none
          admin_label: ''
          operator: 'in'
          group: 1
          exposed: true
          expose:
            operator_id: language_op
            label: ''
            description: ''
            use_operator: true
            operator: language_op
            identifier: language
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
        search_api_datasource:
          plugin_id: search_api_datasource
          id: search_api_datasource
          table: search_api_index_database_search_index
          field: search_api_datasource
          relationship: none
          admin_label: ''
          operator: or
          value: {  }
          group: 1
          exposed: true
          expose:
            operator_id: datasource_op
            label: ''
            description: ''
            use_operator: true
            operator: datasource_op
            identifier: datasource
            required: false
            remember: false
            multiple: true
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
            reduce: false
          is_grouped: false
      sorts:
        search_api_id:
          id: search_api_id
          table: search_api_index_database_search_index
          field: search_api_id
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          plugin_id: search_api
      title: 'Fulltext test index'
      header:
        result:
          id: result
          table: views
          field: result
          relationship: none
          group_type: group
          admin_label: ''
          content: 'Displaying @total search results'
          plugin_id: result
      footer: {  }
      empty: {  }
      relationships: {  }
      arguments:
        search_api_datasource:
          plugin_id: search_api
          id: search_api_datasource
          table: search_api_index_database_search_index
          field: search_api_datasource
          break_phrase: true
        type:
          plugin_id: search_api
          id: type
          table: search_api_index_database_search_index
          field: type
          break_phrase: false
          not: true
        keywords:
          plugin_id: search_api
          id: keywords
          table: search_api_index_database_search_index
          field: keywords
          break_phrase: true
  page_1:
    display_plugin: page
    id: page_1
    display_title: Page
    position: 1
    display_options:
      path: search-api-test
  page_2:
    display_plugin: page
    id: page_2
    display_title: 'Page with operations'
    position: 2
    display_options:
      path: search-api-test-operations
      defaults:
        style: false
        row: false
        fields: false
      style:
        type: default
      row:
        type: fields
      fields:
        search_api_id:
          table: search_api_index_database_search_index
          field: search_api_id
          id: search_api_id
          plugin_id: standard
          entity_type: null
          entity_field: null
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
        search_api_operations:
          id: search_api_operations
          table: search_api_index_database_search_index
          field: search_api_operations
          plugin_id: search_api_entity_operations
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          destination: false
  block_1:
    display_plugin: block
    id: block_1
    display_title: Block
    position: 2
    display_options:
      display_extenders: {  }
      defaults:
        use_ajax: false
      use_ajax: true
  rest_export_1:
    display_plugin: rest_export
    id: rest_export_1
    display_title: 'REST export'
    position: 1
    display_options:
      display_extenders: {  }
      path: search-api-rest-test
      pager:
        type: some
        options:
          items_per_page: 10
          offset: 0
      style:
        type: serializer
        options:
          grouping: {  }
          uses_fields: false
          formats: {  }
      row:
        type: data_entity
        options: {  }
label: 'Search API Test search view'
module: views
id: search_api_test_view
tag: ''
langcode: en
dependencies:
  module:
    - search_api
    - search_api_test_views
